Class Fox::FXListItem

In: | FXList.rb ../lib/fox/core.rb
Parent: | FXObject

List item

Methods

<=> create destroy detach draggable? enabled? getHeight getWidth hasFocus? iconOwned? new selected?

Attributes

data | [RW] | User data for this item [Object]
draggable | [W] | Indicates whether this item is draggable [Boolean]
enabled | [W] | Indicates whether this item is enabled [Boolean]
focus | [W] | Indicates whether this item has the focus [Boolean]
icon | [RW] | Icon for this item [FXIcon]
iconOwned | [W] | Indicates whether this item owns its icons [Boolean]
selected | [W] | Indicates whether this item is selected [Boolean]
text | [RW] | Text for this item [String]

Public Class methods

new(text, icon=nil, data=nil) {|theListItem| ...}

Initialize

Public Instance methods

hasFocus?()

Returns `true` if this item has the focus

selected?()

Return `true` if this item is selected

enabled?()

Return `true` if this item is enabled

draggable?()

Return `true` if this item is draggable

iconOwned?()

Return `true` if this icon is owned

getWidth(list)

Return the width of this item for a specified list

getHeight(list)

Return the height of this item for a specified list

create()

Create the item

detach()

Detach the item

destroy( )

Destroy the item

<=>(otherItem)